// pages/seeIdCard/index.js
const app = getApp();
Page({

  /**
   * 页面的初始数据
   */
  data: {
    user: {},
    switch1Checked: true,
  },
  TT(e){
    var url = e.currentTarget.dataset.url;
    console.log(url);

    wx.previewImage({
      current: url, // 当前显示图片的http链接
      urls: [this.data.user.idcardImgFront != null ? this.data.user.idcardImgFront : '//matripe.oss-cn-beijing.aliyuncs.com/tuiguang/renxiang.png',this.data.user.idcardImgBack != null ? this.data.user.idcardImgBack : '//matripe.oss-cn-beijing.aliyuncs.com/tuiguang/guohui.png'] // 需要预览的图片http链接列表
    })
  },
  /**
   * 生命周期函数--监听页面加载
   */
  onLoad: function (options) {
      
  },
  goBack(){
    /*wx.navigateTo({
      url: '/pages/seeCard/index',
    })*/
    wx.navigateBack({
      delta: 1
    })
  },
  /**
   * 生命周期函数--监听页面初次渲染完成
   */
  onReady: function () {

  },

  /**
   * 生命周期函数--监听页面显示
   */
  onShow: function () {
    //登录=================================start
    if (app.globalData.isLogin) {
      this.setData({
          isLogin: app.globalData.isLogin,
          user: app.globalData.user,
      });
  } else {
      // 由于 userLogin 是网络请求，可能会在 Page.onLoad 之后才返回  
      // 所以此处加入 callback 以防止这种情况  
      app.userLoginCallback = res => {
          this.setData({
              isLogin: app.globalData.isLogin,
              user: app.globalData.user,
          });
      }
  }
  console.log(this.data.user)
  },

  /**
   * 生命周期函数--监听页面隐藏
   */
  onHide: function () {

  },

  /**
   * 生命周期函数--监听页面卸载
   */
  onUnload: function () {

  },

  /**
   * 页面相关事件处理函数--监听用户下拉动作
   */
  onPullDownRefresh: function () {

  },

  /**
   * 页面上拉触底事件的处理函数
   */
  onReachBottom: function () {

  },

  /**
   * 用户点击右上角分享
   */
  onShareAppMessage1: function () {

  }
})